Index: LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5099)
@@ -1,9 +1,9 @@
 MODULE wx_pbl_mod
-!
+
 ! Split Planetary Boundary Layer
-!
+
 ! This module manages the splitting of the boundary layer between two regions; the (w) 
 ! region (inside cold pools) and the (x) region (outside cold pools)
-!
+
   USE dimphy
 
@@ -11,7 +11,7 @@
 
 CONTAINS
-!
+
 !****************************************************************************************
-!
+
 SUBROUTINE wx_pbl0_merge(knon, ypplay, ypaprs,  &
                                  sigw, dTs_forcing, dqs_forcing,  &
@@ -29,5 +29,4 @@
                                  yt1, yq1, yu1, yv1 &
                                  )
-!
 
     USE wx_pbl_var_mod
@@ -35,10 +34,10 @@
     USE print_control_mod, ONLY: prt_level,lunout
     USE indice_sol_mod, ONLY: is_oce
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
     INCLUDE "clesphys.h"
-!
+
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
     REAL, DIMENSION(knon,klev),   INTENT(IN)        :: ypplay  ! mid-layer pressure (Pa)
@@ -60,5 +59,5 @@
     REAL, DIMENSION(knon),        INTENT(OUT)       :: yt1, yq1, yu1, yv1  ! Apparent T, q, u, v at first level, as
                                                                            !seen by surface modules
-!
+
 ! Local variables
     INTEGER                    :: j
@@ -70,16 +69,16 @@
     REAL                       :: dd_t 
     REAL                       :: dd_q 
-!
+
     REAL                       :: LambdaTs, LambdaQs, LambdaUs, LambdaVs 
-!
+
     REAL, DIMENSION(knon)      :: sigx       ! fractional area of (x) region
-!
-!
+
+
    sigx(1:knon) = 1.-sigw(1:knon)
-!                                           
-!
+
+
         DO j=1,knon
-!
-!
+
+
 ! Compute w-x differences
        dd_t = yt_w(j,1) - yt_x(j,1)
@@ -87,17 +86,17 @@
        dd_u = yu_w(j,1) - yu_x(j,1)
        dd_v = yv_w(j,1) - yv_x(j,1)
-!
+
 ! Merged exchange coefficients
          dd_Kh = Kech_h_w(j) - Kech_h_x(j)
          dd_Kq = Kech_q_w(j) - Kech_q_x(j)
          dd_Km = Kech_m_w(j) - Kech_m_x(j)
-!
+
        LambdaTs = dd_KTp(j)/Kech_Tp(j)
        LambdaQs = dd_KQs(j)/Kech_Qs(j)
        LambdaUs = dd_KUp(j)/Kech_Up(j)
        LambdaVs = dd_KVp(j)/Kech_Vp(j)
-!
+
 ! Calcul des coef A, B \'equivalents dans la couche 1
-!
+
 ! The dTs_forcing and dqs_forcing terms are added for diagnostic purpose ; they should be zero in normal operation.
        AcoefT(j) = AcoefT_x(j) + sigw(j)*(1.+sigx(j)*LambdaTs)*(dd_AT(j) - C_p(j)*dTs_forcing(j))
@@ -105,6 +104,6 @@
        AcoefU(j) = AcoefU_x(j) + sigw(j)*(1.+sigx(j)*LambdaUs)*dd_AU(j)
        AcoefV(j) = AcoefV_x(j) + sigw(j)*(1.+sigx(j)*LambdaVs)*dd_AV(j)
-!                                           
-!
+
+
 !!       BcoefT(j) = (sigw(j)*Kech_h_w(j)*Kech_T_pw(j)*BcoefT_w(j) + &
 !!                sigx(j)*Kech_h_x(j)*Kech_T_px(j)*BcoefT_x(j) )/(Kech_h(j)*Kech_Tp(j))
@@ -115,5 +114,5 @@
 !!       BcoefV(j) = (sigw(j)*Kech_m_w(j)*Kech_V_pw(j)*BcoefV_w(j) + &
 !!                sigx(j)*Kech_m_x(j)*Kech_V_px(j)*BcoefV_x(j) )/(Kech_m(j)*Kech_Vp(j))
-!
+
 !!  Print *,'YYYYpbl0: BcoefT_x, sigw, sigx, dd_Kh, dd_KTp, Kech_h_w ', &
 !!                     BcoefT_x, sigw, sigx, dd_Kh, dd_KTp, Kech_h_w
@@ -129,12 +128,12 @@
                                   Kech_m_w(j)*Kech_V_pw(j)*dd_BV(j))/(Kech_m(j)*Kech_Vp(j))
 !>jyg
-!
-!
+
+
 ! Calcul des cdrag \'equivalents dans la couche 
-!
+
        ycdragm(j) = ycdragm_x(j) + sigw(j)*dd_Cdragm(j)
        ycdragh(j) = ycdragh_x(j) + sigw(j)*dd_Cdragh(j)
        ycdragq(j) = ycdragq_x(j) + sigw(j)*dd_Cdragq(j)
-!
+
 ! Calcul de T, q, u et v \'equivalents dans la couche 1
 !!       yt1(j) = yt_x(j,1) + sigw(j)*dd_t*(1.+sigx(j)*dd_Kh/KCT)
@@ -166,14 +165,13 @@
                                  dTs_ins, dqsatsrf_ins &
                                  )
-!
 
     USE wx_pbl_var_mod
 
     USE print_control_mod, ONLY: prt_level,lunout
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
-!
+
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
     REAL,                         INTENT(IN)        :: dtime   ! time step size (s)
@@ -187,5 +185,5 @@
     REAL, DIMENSION(knon),        INTENT(IN)        :: BT_x, BT_w
     REAL, DIMENSION(knon),        INTENT(IN)        :: AcoefT0, AcoefQ0, BcoefT0, BcoefQ0
-!
+
     REAL, DIMENSION(knon),        INTENT(OUT)       :: AcoefT, AcoefQ, BcoefT, BcoefQ
     REAL, DIMENSION(knon),        INTENT(OUT)       :: HTphiT_b, dd_HTphiT, HTphiQ_b, dd_HTphiQ, HTRn_b, dd_HTRn
@@ -194,5 +192,5 @@
     REAL, DIMENSION(knon),        INTENT(OUT)       :: Gamma_phiT, Gamma_phiQ
     REAL, DIMENSION(knon),        INTENT(OUT)       :: dTs_ins, dqsatsrf_ins
-!
+
 ! Local variables
     REAL, DIMENSION(knon)      :: qsat_x
@@ -200,5 +198,5 @@
     REAL, DIMENSION(knon)      :: dqsatdT_x
     REAL, DIMENSION(knon)      :: dqsatdT_w
-!
+
     REAL, DIMENSION(knon)      :: T10_x
     REAL, DIMENSION(knon)      :: T10_w
@@ -213,5 +211,5 @@
     REAL, DIMENSION(knon)      :: Rps_x
     REAL, DIMENSION(knon)      :: Rps_w
-!
+
     REAL, DIMENSION(knon)      :: HTphiT_x
     REAL, DIMENSION(knon)      :: HTphiT_w
@@ -220,5 +218,5 @@
     REAL, DIMENSION(knon)      :: HTRn_x
     REAL, DIMENSION(knon)      :: HTRn_w
-!
+
     REAL, DIMENSION(knon)      :: HQphiT_x
     REAL, DIMENSION(knon)      :: HQphiT_w
@@ -227,5 +225,5 @@
     REAL, DIMENSION(knon)      :: HQRn_x
     REAL, DIMENSION(knon)      :: HQRn_w
-!
+
     REAL, DIMENSION(knon)      :: HQphiT_b
     REAL, DIMENSION(knon)      :: dd_HQphiT
@@ -234,19 +232,18 @@
     REAL, DIMENSION(knon)      :: HQRn_b
     REAL, DIMENSION(knon)      :: dd_HQRn
-!
 
     REAL, DIMENSION(knon)    :: sigx
-!
+
     REAL, DIMENSION(knon)    :: Ts, T1
 !!!    REAL, DIMENSION(knon)    :: qsat, dqsat_dT
 !!!    REAL, DIMENSION(knon)    :: phiT0
-!
+
 !!!    REAL, DIMENSION(knon)    :: Cp, Lv
     REAL, DIMENSION(knon)    :: tau, Inert 
-!
+
     REAL                     :: dd_Kh
     REAL                     :: zdelta, zcvm5, zcor
     REAL                     :: qsat
-!
+
     INTEGER                  :: j
 
@@ -263,5 +260,5 @@
 !   Rp1_w = 4 eps_1 Rsigma T10_w^3                        Rp1_x = 4 eps_1 Rsigma T10_x^3
 !   Rps_w = 4 Rsigma Ts0_w^3                              Rps_x = 4 Rsigma Ts0_x^3
-!
+
 !   phiT0_b = sigw phiT0_w + sigx phiT0_x
 !   dphiT0 = phiT0_w - phiT0_x
@@ -270,6 +267,6 @@
 !   Rn0_b = sigw Rn0_w + sigx Rn0_x
     dRn0 = Rn0_w - Rn0_x
-!
-!
+
+
 !----------------------------------------------------------------------------
 !  Elementary enthalpy equations
@@ -286,5 +283,5 @@
 !   Radiation equation
 !     HTRn_w = Rp1_w Kech_T_pw BcoefT_w dtime + Rps_w    HTRn_x = Rp1_x Kech_T_px BcoefT_x dtime + Rps_x
-!
+
 !----------------------------------------------------------------------------
 !  Elementary moisture equations
@@ -305,5 +302,5 @@
 !     HQRn_w = (Rp1_w Kech_T_pw BcoefT_w dtime + Rps_w) QQ_w
 !                                         HQRn_x = (Rp1_x Kech_T_px BcoefT_x dtime + Rps_x) QQ_x
-!
+
 !----------------------------------------------------------------------------
 ! Mean values and w-x differences
@@ -312,10 +309,10 @@
 !  HTphiQ_b = sigw HTphiQ_w + sigx HTphiQ_x               dd_HTphiQ = HTphiQ_w - HTphiQ_x
 !  HTRn_b   = sigw HTRn_w   + sigx HTRn_x                 dd_HTRn   = HTRn_w   - HTRn_x
-!
+
 !  QQ_b     = sigw QQ_w     + sigx QQ_x                   dd_QQ     = QQ_w     - QQ_x
 !  HQphiT_b = sigw HQphiT_w + sigx HQphiT_x               dd_HQphiT = HQphiT_w - HQphiT_x
 !  HQphiQ_b = sigw HQphiQ_w + sigx HQphiQ_x               dd_HQphiQ = HQphiQ_w - HQphiQ_x
 !  HQRn_b   = sigw HQRn_w   + sigx HQRn_x                 dd_HQRn   = HQRn_w   - HQRn_x
-!
+
 !----------------------------------------------------------------------------
 !  Equations
@@ -323,5 +320,5 @@
 ! (1 - g_T) dTs    = dTs_ins    + Gamma_phiT phiT
 ! (1 - g_Q) dqsatsrf = dqsatsrf_ins + Gamma_phiQ phiQ
-!
+
 ! Feedback Gains
 ! --------------
@@ -331,15 +328,15 @@
 !         (sigx - sigw - sigw sigx dd_HQphiQ/HQphiQ_b)   &
 !                          [ dd_QQ/QQ_b + (sqrt(tau)/(I QQ_b))(dd_HQphiT + Lv dd_HQphiQ + dd_HQRn) ]
-!
+
 !  Ts, qs Coupling coefficients                /
 !  ----------------------------
 ! Gamma_phiT = (sqrt(tau)/(I HTphiT_b)) (dd_HTphiT + Lv dd_HTphiQ + dd_HTRn)
 ! Gamma_phiQ = (1/(HQphiQ_b QQ_b)) [ dd_QQ +  (sqrt(tau)/(I )) (dd_HQphiT + Lv dd_HQphiQ + dd_HQRn) ]
-!
+
 !  Insensitive changes
 !  -------------------
 ! dTs_ins    = (1 - g_T) dTs0    - Gamma_phiT phiT0_b
 ! dqsatsrf_ins = (1 - g_Q) dqsatsrf0 - Gamma_phiQ phiQ0_b
-!
+
 !----------------------------------------------------------------------------
 !  Effective coefficients Acoef and Bcoef
@@ -353,11 +350,11 @@
 ! AcoefT = AcoefT0 - sigw sigx (dd_KTp/Kech_Tp) Cp dTs_ins/(1 - g_T)
 ! BcoefT = BcoefT0 - sigw sigx (dd_KTp/Kech_Tp) Cp Gamma_phiT/(1 - g_T)/dtime
-!
+
 ! AcoefQ = AcoefQ0 - sigw sigx (dd_KQp/Kech_Qp) dqs_ins/(1 - g_Q)
 ! BcoefQ = BcoefQ0 - sigw sigx (dd_KQp/Kech_Qp) Gamma_phiq/(1 - g_Q)/dtime
-!
+
 !==============================================================================
-!
-!
+
+
 !  Parameters
 !  ----------
@@ -369,28 +366,28 @@
 !   C_p(1:knon) = RCpd
 !   L_v(1:knon) = RLvtt
-!
+
 !      print *,' AAAA wx_pbl_dTs, C_p(j), qsat0(j), Ts0(j) : ', C_p(:), qsat0(:), Ts0(:)
-!
-!
+
+
    T10_x(1:knon) = (AT_x(1:knon)/C_p(1:knon) - Kech_h_x(1:knon)*BT_x(1:knon)*dtime*Ts0_x(1:knon))/  &
                    (1 - Kech_h_x(1:knon)*BT_x(1:knon)*dtime)
    T10_w(1:knon) = (AT_w(1:knon)/C_p(1:knon) - Kech_h_w(1:knon)*BT_w(1:knon)*dtime*Ts0_w(1:knon))/  &
                    (1 - Kech_h_w(1:knon)*BT_w(1:knon)*dtime)
-!
+
    phiT0_x(1:knon) = Kech_T_px(1:knon)*(AT_x(1:knon) - C_p(1:knon)*Ts0_x(1:knon))
    phiT0_w(1:knon) = Kech_T_pw(1:knon)*(AT_w(1:knon) - C_p(1:knon)*Ts0_w(1:knon))
-!
+
    phiQ0_x(1:knon) = Kech_Q_sx(1:knon)*(beta(1:knon)*AQ_x(1:knon) - qsatsrf0_x(1:knon))
    phiQ0_w(1:knon) = Kech_Q_sw(1:knon)*(beta(1:knon)*AQ_w(1:knon) - qsatsrf0_w(1:knon))
-!
+
    Rn0_x(1:knon) = eps_1*Rsigma*T10_x(1:knon)**4 - Rsigma*Ts0_x(1:knon)**4
    Rn0_w(1:knon) = eps_1*Rsigma*T10_w(1:knon)**4 - Rsigma*Ts0_w(1:knon)**4
-!
+
    Rp1_x(1:knon) = 4*eps_1*Rsigma*T10_x(1:knon)**3
    Rp1_w(1:knon) = 4*eps_1*Rsigma*T10_w(1:knon)**3
-!
+
    Rps_x(1:knon) = 4*Rsigma*Ts0_x(1:knon)**3
    Rps_w(1:knon) = 4*Rsigma*Ts0_w(1:knon)**3
-!
+
 !  DFlux_DT coefficients
 !  ---------------------
@@ -404,5 +401,5 @@
      HTRn_x(1:knon) = Rp1_x(1:knon)*Kech_T_px(1:knon)*BT_x(1:knon)*dtime + Rps_x(1:knon)
      HTRn_w(1:knon) = Rp1_w(1:knon)*Kech_T_pw(1:knon)*BT_w(1:knon)*dtime + Rps_w(1:knon)  
-!
+
 !  DFluxDQ coefficients
 !  ---------------------
@@ -416,5 +413,5 @@
      HQRn_x(1:knon) = (Rp1_x(1:knon)*Kech_T_px(1:knon)*BT_x(1:knon)*dtime + Rps_x(1:knon))*QQ_x(1:knon)
      HQRn_w(1:knon) = (Rp1_w(1:knon)*Kech_T_pw(1:knon)*BT_w(1:knon)*dtime + Rps_w(1:knon))*QQ_w(1:knon)
-!
+
 ! Mean values and w-x differences
 ! -------------------------------
@@ -422,27 +419,27 @@
   phiQ0_b(1:knon) = sigw(1:knon)*phiQ0_w(1:knon) + sigx(1:knon)*phiQ0_x(1:knon)          
   Rn0_b(1:knon)   = sigw(1:knon)*Rn0_w(1:knon)   + sigx(1:knon)*Rn0_x(1:knon)          
-!
+
   dphiT0(1:knon) = phiT0_w(1:knon) - phiT0_x(1:knon)           
   dphiQ0(1:knon) = phiQ0_w(1:knon) - phiQ0_x(1:knon)          
   dRn0(1:knon)   = Rn0_w(1:knon)   - Rn0_x(1:knon)          
-!
+
   HTphiT_b(1:knon) = sigw(1:knon)*HTphiT_w(1:knon) + sigx(1:knon)*HTphiT_x(1:knon)           
   dd_HTphiT(1:knon) = HTphiT_w(1:knon) - HTphiT_x(1:knon)
-!
+
   HTphiQ_b(1:knon) = sigw(1:knon)*HTphiQ_w(1:knon) + sigx(1:knon)*HTphiQ_x(1:knon)          
   dd_HTphiQ(1:knon) = HTphiQ_w(1:knon) - HTphiQ_x(1:knon)
-!
+
   HTRn_b(1:knon)   = sigw(1:knon)*HTRn_w(1:knon)   + sigx(1:knon)*HTRn_x(1:knon)           
   dd_HTRn(1:knon)   = HTRn_w(1:knon)   - HTRn_x(1:knon)
-!
+
   HQphiT_b(1:knon) = sigw(1:knon)*HQphiT_w(1:knon) + sigx(1:knon)*HQphiT_x(1:knon)          
   dd_HQphiT(1:knon) = HQphiT_w(1:knon) - HQphiT_x(1:knon)
-!
+
   HQphiQ_b(1:knon) = sigw(1:knon)*HQphiQ_w(1:knon) + sigx(1:knon)*HQphiQ_x(1:knon)          
   dd_HQphiQ(1:knon) = HQphiQ_w - HQphiQ_x(1:knon)
-!
+
   HQRn_b(1:knon)   = sigw(1:knon)*HQRn_w(1:knon)   + sigx(1:knon)*HQRn_x(1:knon)             
   dd_HQRn(1:knon)   = HQRn_w(1:knon)   - HQRn_x(1:knon)
-!
+
 ! Feedback Gains
 ! --------------
@@ -451,5 +448,5 @@
                  + (dd_HTphiT(1:knon) + L_v(1:knon)*dd_HTphiQ(1:knon) + dd_HTRn(1:knon))  &
                  * (sigx(1:knon) - sigw(1:knon) - sigw(1:knon)*sigx(1:knon)*dd_HTphiT(1:knon)/HTphiT_b(1:knon)) )
-!
+
 !!!! DO j = 1,knon
 !!!!  IF (mod(j,20) .eq.0) THEN
@@ -484,5 +481,5 @@
   Gamma_phiT(1:knon) = (sqrt(tau(1:knon))/(Inert(1:knon)*HTphiT_b(1:knon)))  &
                      * (dd_HTphiT(1:knon) + L_v(1:knon)*dd_HTphiQ(1:knon) + dd_HTRn(1:knon))
-! 
+
   Gamma_phiQ(1:knon) = (1./(Kech_Qs(1:knon)*QQ_b(1:knon))) * &
                         ( dd_QQ(1:knon)   &
@@ -499,12 +496,12 @@
 !!                       + (sqrt(tau(1:knon))/(Inert(1:knon)))  &
 !!                       * (dd_HQphiT(1:knon) + L_v(1:knon)*dd_HQphiQ(1:knon) + dd_HQRn(1:knon)) )
-!
+
 !  Insensitive changes
 !  -------------------
   dTs_ins(1:knon)    = (sqrt(tau(1:knon))/Inert(1:knon))*  &
                        (dphiT0(1:knon) + L_v(1:knon)*dphiQ0(1:knon) + dRn0(1:knon))
-!
+
   dqsatsrf_ins(1:knon) = (beta(1:knon)/QQ_b(1:knon))*dTs_ins(1:knon)
-!
+
    IF (prt_level >= 10) THEN
       print *,'wx_pbl_merge, tau         ', tau
@@ -516,9 +513,9 @@
       print *,'wx_pbl_merge, dqsatdT0_w, dqsatdT0_x ', (dqsatdT0_w(j), dqsatdT0_x(j),j=1,knon)
    ENDIF
-!
+
 !----------------------------------------------------------------------------
-!  
+
 !------------------------------------------------------------------------------
-!  
+
 !    Effective coefficients Acoef and Bcoef
 !    --------------------------------------
@@ -566,5 +563,4 @@
                        dTs, delta_qsurf &
                        )
-!
 
     USE wx_pbl_var_mod
@@ -572,7 +568,7 @@
     USE print_control_mod, ONLY: prt_level,lunout
     USE indice_sol_mod, ONLY: is_oce
-!
+
     INCLUDE "YOMCST.h"
-!
+
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
     INTEGER,                      INTENT(IN)        :: nsrf    ! surface type
@@ -586,5 +582,5 @@
     REAL, DIMENSION(knon),        INTENT(IN)        :: phiT, phiQ, phiU, phiV
     REAL, DIMENSION(knon),        INTENT(IN)        :: phiQ0_b, phiT0_b
-!
+
     REAL, DIMENSION(knon),        INTENT(OUT)       :: phiT_x, phiT_w
     REAL, DIMENSION(knon),        INTENT(OUT)       :: phiQ_x, phiQ_w
@@ -595,10 +591,10 @@
     REAL, DIMENSION(knon),        INTENT(OUT)       :: dTs           ! Temperature difference at surface
     REAL, DIMENSION(knon),        INTENT(OUT)       :: delta_qsurf
-!
+
 !! Local variables
     INTEGER                    :: j
     REAL, DIMENSION(knon)      :: dphiT, dphiQ, dphiU, dphiV
     REAL, DIMENSION(knon)      :: q1_x, q1_w
-!
+
     REAL, DIMENSION(knon)      :: sigx       ! fractional area of (x) region
 
@@ -612,5 +608,5 @@
 !!!!!! dphiU = (dd_KUp/KUp) phiU + (     dd_AU          )*KxKwUp/KUp
 !!!!!! dphiV = (dd_KVp/KVp) phiV + (     dd_AV          )*KxKwVp/KVp
-! 
+
 ! (1 - g_T) (dTs-dTs0)    = dTs_ins-dTs0    + Gamma_phiT (phiT-phiT0)
 ! (1 - g_Q) dqsatsrf = dqsatsrf_ins + Gamma_phiQ phiQ
@@ -619,12 +615,12 @@
 ! dphiU = (dd_KUp/KUp) phiU + (     dd_AU          )*KxKwUp/KUp
 ! dphiV = (dd_KVp/KVp) phiV + (     dd_AV          )*KxKwVp/KVp
-! 
+
 !!
         sigx(:) = 1.-sigw(:)
-!
+
 !      print *,' AAAA wx_pbl_split, C_p(j), qsat0(j), Ts0(j) : ', C_p(:), qsat0(:), Ts0(:)
-!
+
    IF (iflag_split == 2 .AND. nsrf /= is_oce) THEN
-!
+
 !   Delta_tsurf and  Delta_qsurf computation
 !   -----------------------------------------
@@ -633,5 +629,5 @@
         print *,' wx_pbl_split, dqsatsrf_ins, Gamma_phiQ, g_q ', dqsatsrf_ins, Gamma_phiQ, g_q
       ENDIF
-!
+
       DO j = 1,knon
         dTs(j)    = dTs0(j) + (dTs_ins(j) - dTs0(j) + Gamma_phiT(j)*(phiT(j)-phiT0_b(j)) )/(1 - g_T(j)) 
@@ -639,5 +635,5 @@
                        Gamma_phiQ(j)*(phiQ(j)-phiQ0_b(j)) )/(1 - g_Q(j)) 
       ENDDO ! j = 1,knon
-!
+
         IF (prt_level >=10 ) THEN
           print *,' wx_pbl_split, dqsatsrf0, QQ_b ', dqsatsrf0, QQ_b
@@ -649,5 +645,5 @@
         dqsatsrf(:) = 0.
    ENDIF ! (iflag_split .EQ. 2 .AND. nsrf .NE. is_oce)
-!
+
      DO j = 1,knon
        dphiT(j) = (phiT(j)*dd_KTp(j) + (        dd_AT(j) - C_p(j)*dTs(j))*KxKwTp(j))/Kech_Tp(j)
@@ -655,5 +651,5 @@
        dphiU(j) = (phiU(j)*dd_KUp(j) +          dd_AU(j)                 *KxKwUp(j))/Kech_Up(j)
        dphiV(j) = (phiV(j)*dd_KVp(j) +          dd_AV(j)                 *KxKwVp(j))/Kech_Vp(j)
-!
+
        phiT_x(j)=phiT(j) - sigw(j)*dphiT(j)
        phiT_w(j)=phiT(j) + sigx(j)*dphiT(j)
@@ -664,9 +660,9 @@
        phiV_x(j)=phiV(j) - sigw(j)*dphiV(j)
        phiV_w(j)=phiV(j) + sigx(j)*dphiV(j)
-!
+
        philat_x(j)=phiQ_x(j)*RLVTT
        philat_w(j)=phiQ_w(j)*RLVTT
      ENDDO ! j = 1,knon
-!
+
      DO j = 1,knon
        q1_x(j) = AQ_x(j) + BQ_x(j)*phiQ_x(j)*dtime
@@ -676,20 +672,20 @@
        delta_qsurf(j) = (1.-beta(j))*(q1_w(j) - q1_x(j)) + dqsatsrf(j)
      ENDDO ! j = 1,knon
-!
+
 !!  Do j = 1,knon
 !!     print *,'XXXsplit : j, q1_x(j), AQ_x(j), BQ_x(j), phiQ_x(j) ', j, q1_x(j), AQ_x(j), BQ_x(j), phiQ_x(j)
 !!     print *,'XXXsplit : j, q1_w(j), AQ_w(j), BQ_w(j), phiQ_w(j) ', j, q1_w(j), AQ_w(j), BQ_w(j), phiQ_w(j)
 !!  ENDDO
-!
+
         IF (prt_level >=10 ) THEN
           print *,' wx_pbl_split, phiT, dphiT, dTs ', phiT, dphiT, dTs
           print *,' wx_pbl_split, phiQ, dphiQ, dqsatsrf ', phiQ, dphiQ, dqsatsrf
         ENDIF
-!
+
         IF (prt_level >=10 ) THEN
 !!          print *,' wx_pbl_split, verif dqsatsrf = beta dqsatdT0 dTs '
 !!          print *,' wx_pbl_split, dqsatsrf, dqsatdT0*dTs ', dqsatsrf, dqsatdT0*dTs
         ENDIF
-!
+
 !!    IF (knon .NE. 0) THEN
 !!       call  iophys_ecrit('sigw', 1,'sigw', '.',sigw)
@@ -703,5 +699,5 @@
 !!       call  iophys_ecrit('q1_x', 1,'q1_x', '.',q1_x)
 !!    ENDIF  ! (knon .NE. 0)
-!
+
         RETURN
 
@@ -721,14 +717,13 @@
                                phiQ_x9, phiQ_w9 &
                                )
-!
 
     USE wx_pbl_var_mod
 
     USE print_control_mod, ONLY: prt_level,lunout
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
-!
+
     INTEGER,                      INTENT(IN)        :: knon         ! number of grid cells
     REAL,                         INTENT(IN)        :: dtime        ! time step size (s)
@@ -744,10 +739,10 @@
     REAL, DIMENSION(knon),        INTENT(IN)        :: BcoefT_x, BcoefT_w
     REAL, DIMENSION(knon),        INTENT(IN)        :: AcoefT0, AcoefQ0, BcoefT0, BcoefQ0
-!
+
     REAL, DIMENSION(knon),        INTENT(IN)        :: AcoefT, AcoefQ, BcoefT, BcoefQ
     REAL, DIMENSION(knon),        INTENT(IN)        :: phiT_b9, phiQ_b9
     REAL, DIMENSION(knon),        INTENT(IN)        :: phiT_x9, phiT_w9
     REAL, DIMENSION(knon),        INTENT(IN)        :: phiQ_x9, phiQ_w9
-!
+
 !! Local variables
     INTEGER                    :: j
@@ -782,8 +777,8 @@
 !  Input : Ts0_b, dTs0, Ts_b, dTs, qsatsrf_b, dqsatsrf, 
 !          phiT_b, phiQ_b, phiT_w, phiT_x, phiQ_w, phiQ_x, 
-!          
+
 !          AcoefT, AcoefQ, AcoefT_w, AcoefQ_w, AcoefT_x, AcoefQ_x,
 !          BcoefT, BcoefQ, BcoefT_w, BcoefQ_w, BcoefT_x, BcoefQ_x
-! 
+
 !  C_p T1_w = AcoefT_w + BcoefT_w phiT_w Delta t          C_p T1_x = AcoefT_x + BcoefT_x phiT_x Delta t
 !  q1_w = AQ_w + BQ_w phiQ_w Delta t                      q1_x = AQ_x + BQ_x phiQ_x Delta t
@@ -806,5 +801,5 @@
 
 !----------------------------------------------------------------------------
-!
+
 !!
         sigx(:) = 1.-sigw(:)
@@ -819,5 +814,5 @@
       print *,' AAAA wx_pbl_check, C_p(j), qsat0(j), Ts0(j) : ', C_p(:), qsat0(:), Ts0(:)
     ENDIF ! (prt_level >=10 )
-!
+
    DO j = 1, knon
       zdelta = MAX(0.,SIGN(1.,RTT-Ts0_b9(j)))
@@ -831,49 +826,49 @@
       dqsatdT01(j) = fqsat*FOEDE(Ts0_b9(j),zdelta,zcvm5,qsat01(j),zcor)
    ENDDO
-!
+
 !--------------------------------------------------------------------------------------------------
         IF (prt_level >=10 ) THEN
-!
+
           DO j = 1, knon
-!
+
    print *,'wx_pbl_check: Kech_h, Kech_q ', Kech_h(j), Kech_q(j)
-!
+
   Ta(j) = (AcoefT(j) + BcoefT(j)*phiT_b9(j)*dtime)/C_p(j)
   qa(j) = AcoefQ(j) + BcoefQ(j)*phiQ_b9(j)*dtime
     print *, 'wx_pbl_check: j, Ta, qa ', Ta(j), qa(j)
-!
+
   qsat_bs(j) = qsat01(j) + dqsatdT01(j)*(Ts_b9(j)-Ts0_b9(j))
-!
+
    print *,'wx_pbl_check: qsat01, qsat_bs ', j,qsat01(j), qsat_bs(j)
-!
+
   Ts_x(j) = Ts_b9(j) - sigw(j)*dTs9(j)
   Ts_w(j) = Ts_b9(j) + sigx(j)*dTs9(j)
     print *, 'wx_pbl_check: j, Ts_b9, Ts_w, Ts_x ', j, Ts_b9(j), Ts_w(j), Ts_x(j)
-!
+
   qsat_x(j) = qsat0_x(j) + dqsatdT0_x(j)*(Ts_x(j)-Ts0_x(j))
   qsat_w(j) = qsat0_w(j) + dqsatdT0_w(j)*(Ts_w(j)-Ts0_w(j))
-!
+
    print *,'wx_pbl_check: qsat0_w, qsat0_x, qsat_w, qsat_x ', qsat0_w(j), qsat0_x(j), qsat_w(j), qsat_x(j)
-!
+
   T1_x(j) = (AcoefT_x(j) + BcoefT_x(j)*phiT_x9(j)*dtime) / C_p(j)
   T1_w(j) = (AcoefT_w(j) + BcoefT_w(j)*phiT_w9(j)*dtime) / C_p(j)
     print *, 'wx_pbl_check: j, T1_w, T1_x ', j, T1_w(j), T1_x(j)
-!
+
   q1_x(j) = AQ_x(j) + BQ_x(j)*phiQ_x9(j)*dtime
   q1_w(j) = AQ_w(j) + BQ_w(j)*phiQ_w9(j)*dtime
     print *, 'wx_pbl_check: j, q1_w, q1_x ', j, q1_w(j), q1_x(j)
-!
+
    qsatsrf_x(j) = beta(j)*qsat_x(j)
    qsatsrf_w(j) = beta(j)*qsat_w(j) 
    qsatsrf_b(j) = sigw(j)*qsatsrf_w(j) + sigx(j)*qsatsrf_x(j)
-!
+
    dqsatsrf1 = qsatsrf_w(j) - qsatsrf_x(j)
     print *, 'wx_pbl_check: j, qsatsrf_w, qsatsrf_x, dqsatsrf1, dqsatsrf9 ', &
                           qsatsrf_w(j), qsatsrf_x(j), dqsatsrf1, dqsatsrf9(j)
-!
+
    qsurf_x(j) = (1-beta(j))*q1_x(j) + qsatsrf_x(j)
    qsurf_w(j) = (1-beta(j))*q1_w(j) + qsatsrf_w(j)
     print *, 'wx_pbl_check: j, qsurf_w, qsurf_x ', j, qsurf_w(j), qsurf_x(j)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test qsat01 = qsat0    et   dqsatdT01 = dqsatdT0
@@ -881,5 +876,5 @@
    print *, 'wx_pbl_check: j, qsat01(j), qsat0(j) ', j, qsat01(j), qsat0(j)
    print *, 'wx_pbl_check: j, dqsatdT01(j), dqsatdT0(j) ', j, dqsatdT01(j), dqsatdT0(j)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test Kexh_Q_sw = Kech_q_w/(1.-beta*Kech_q_w*BcoefQ)   Kexh_Q_sx = Kech_q_x/(1.-beta*Kech_q_x*BcoefQ)
@@ -889,5 +884,5 @@
     print *, 'wx_pbl_check: j, Kech_Q_sx1, Kech_Q_sx(j)', j, Kech_Q_sx1, Kech_Q_sx(j)
     print *, 'wx_pbl_check: j, Kech_Q_sw1, Kech_Q_sw(j)', j, Kech_Q_sw1, Kech_Q_sw(j)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiT_w = Kech_h_w*C_p(j)*(T1_w(j)-Ts_w(j))        phiT_x = Kech_h_x*C_p(j)*(T1_x(j)-Ts_x(j))
@@ -895,5 +890,5 @@
     phiT_x1 = Kech_h_x(j)*C_p(j)*(T1_x(j)-Ts_x(j))
     phiT_w1 = Kech_h_w(j)*C_p(j)*(T1_w(j)-Ts_w(j))
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiT_w = Kech_T_pw*(AcoefT_w(j)-C_p(j)*Ts_w(j))   phiT_x = Kech_T_px*(AcoefT_x(j)-C_p(j)*Ts_x(j))
@@ -903,5 +898,5 @@
     print *, 'wx_pbl_check: j, phiT_w1, phiT_w2, phiT_w9 ', j, phiT_w1, phiT_w2, phiT_w9(j)
     print *, 'wx_pbl_check: j, phiT_x1, phiT_x2, phiT_x9 ', j, phiT_x1, phiT_x2, phiT_x9(j)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiq_w = Kech_q_w ( beta q1_w - qsatsrf_w)    phiq_x = Kech_q_x ( beta q1_x - qsatsrf_x))
@@ -909,5 +904,5 @@
     phiq_x1 = Kech_q_x(j)*( beta(j)*q1_x(j) - qsatsrf_x(j))
     phiq_w1 = Kech_q_w(j)*( beta(j)*q1_w(j) - qsatsrf_w(j))
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test  phiq_w = Kech_Q_sw (beta AQ_w -qsatsrf_w)     phiq_x = Kech_Q_sx (beta AQ_x -qsatsrf_x)
@@ -915,5 +910,5 @@
     phiq_x2 = Kech_Q_sx(j)*(beta(j)*AQ_x(j) -qsatsrf_x(j))
     phiq_w2 = Kech_Q_sw(j)*(beta(j)*AQ_w(j) -qsatsrf_w(j))
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiq_w = Kech_q_w ( q1_w - qsurf_w)    phiq_x = Kech_q_x ( q1_x - qsurf_x))
@@ -923,5 +918,5 @@
     print *, 'wx_pbl_check: j, phiQ_w1, phiQ_w2, phiQ_w3, phiQ_w9 ', j, phiQ_w1, phiQ_w2, phiQ_w3, phiQ_w9(j)
     print *, 'wx_pbl_check: j, phiQ_x1, phiQ_x2, phiQ_x3, phiQ_x9 ', j, phiQ_x1, phiQ_x2, phiQ_x3, phiQ_x9(j)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiT_b = Kech_h C_p (Ta - Ts_b)
@@ -929,5 +924,5 @@
    phiT_b1 = Kech_h(j)*C_p(j)*(Ta(j) - Ts_b9(j))
    print *, 'wx_pbl_check: j, phiT_b1, PhiT_b9 ', j, phiT_b1, PhiT_b9(j)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiQ_b = beta Kech_q (qa - qsat_bs)
@@ -936,6 +931,6 @@
    phiQ_b1 = beta(j)*Kech_q(j)*(qa(j) - qsat_bs(j))
    print *, 'wx_pbl_check: j, beta, evap_pot, phiQ_b1, PhiQ_b9 ', j, beta(j), evap_pot, phiQ_b1, PhiQ_b9(j)
-!
-!
+
+
           ENDDO  ! j = 1, knon
           
@@ -965,14 +960,13 @@
                                phiQ_x9, phiQ_w9  &
                                )
-!
 
     USE wx_pbl_var_mod
 
     USE print_control_mod, ONLY: prt_level,lunout
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
-!
+
     INTEGER,                      INTENT(IN)        :: knon         ! number of grid cells
     REAL,                         INTENT(IN)        :: dtime        ! time step size (s)
@@ -989,5 +983,5 @@
     REAL, DIMENSION(knon),        INTENT(IN)        :: BcoefT_x, BcoefT_w
     REAL, DIMENSION(knon),        INTENT(IN)        :: AcoefT0, AcoefQ0, BcoefT0, BcoefQ0
-!
+
     REAL, DIMENSION(knon),        INTENT(IN)        :: AcoefT, AcoefQ, BcoefT, BcoefQ
     REAL, DIMENSION(knon),        INTENT(IN)        :: HTphiT_b, dd_HTphiT, HTphiQ_b, dd_HTphiQ, HTRn_b, dd_HTRn
@@ -999,5 +993,5 @@
     REAL, DIMENSION(knon),        INTENT(IN)        :: phiT_x9, phiT_w9
     REAL, DIMENSION(knon),        INTENT(IN)        :: phiQ_x9, phiQ_w9
-!
+
 !! Local variables
     INTEGER                    :: j
@@ -1035,8 +1029,8 @@
 !  Input : Ts0_b, dTs0, Ts_b, dTs, qsatsrf_b, dqsatsrf, 
 !          phiT_b, phiQ_b, phiT_w, phiT_x, phiQ_w, phiQ_x, 
-!          
+
 !          AcoefT, AcoefQ, AcoefT_w, AcoefQ_w, AcoefT_x, AcoefQ_x,
 !          BcoefT, BcoefQ, BcoefT_w, BcoefQ_w, BcoefT_x, BcoefQ_x
-! 
+
 !  Ts_w = Ts_b + sigx dTs                                 Ts_x = Ts_b - sigw dTs
 !  T1_w = AcoefT_w + BcoefT_w phiT_w Delta t              T1_x = AcoefT_x + BcoefT_x phiT_x Delta t
@@ -1054,5 +1048,5 @@
 
 !----------------------------------------------------------------------------
-!
+
 !!
         sigx(:) = 1.-sigw(:)
@@ -1066,30 +1060,30 @@
                              dd_HTphiT, dd_HTphiQ, dd_HTRn 
    ENDIF ! (prt_level >=10 )
-!
+
 ! Compute the three qsat and dqsatdTs
 ! ---------------------------------------------
 !!      print *,' AAAA wx_pbl_dts_check, C_p(j), qsat0(j), Ts0(j) : ',  &
 !!                                      (C_p(j), qsat0(j), Ts0(j), j = 1,knon)
-!
-!
+
+
 !--------------------------------------------------------------------------------------------------
         IF (prt_level >=10 ) THEN
-!
+
           DO j = 1, knon
   Ts_x(j) = Ts_b9(j) - sigw(j)*dTs9(j)
   Ts_w(j) = Ts_b9(j) + sigx(j)*dTs9(j)
     print *, 'wx_pbl_dts_check: j, Ts_b9, Ts_w, Ts_x ', j, Ts_b9(j), Ts_w(j), Ts_x(j)
-!
+
   qsat_x(j) = qsat0_x(j) + dqsatdT0_x(j)*(Ts_x(j)-Ts0_x(j))
   qsat_w(j) = qsat0_w(j) + dqsatdT0_w(j)*(Ts_w(j)-Ts0_w(j))
-!
+
   T1_x(j) = (AcoefT_x(j) + BcoefT_x(j)*phiT_x9(j)*dtime) / C_p(j)
   T1_w(j) = (AcoefT_w(j) + BcoefT_w(j)*phiT_w9(j)*dtime) / C_p(j)
     print *, 'wx_pbl_dts_check: j, T1_w, T1_x ', j, T1_w(j), T1_x(j)
-!
+
   q1_x(j) = AQ_x(j) + BQ_x(j)*phiQ_x9(j)*dtime
   q1_w(j) = AQ_w(j) + BQ_w(j)*phiQ_w9(j)*dtime
     print *, 'wx_pbl_dts_check: j, q1_w, q1_x ', j, q1_w(j), q1_x(j)
-!
+
     Rn_x(j) = eps_1*Rsigma*T1_x(j)**4 - Rsigma*Ts_x(j)**4
     Rn_w(j) = eps_1*Rsigma*T1_w(j)**4 - Rsigma*Ts_w(j)**4
@@ -1100,11 +1094,11 @@
                        )*(dTs9(j)-dTs09(j)) &
                     + dd_HTRn(j)/HTphiT_b(j)*(phiT_b9(j)-phiT0_b9(j))
-!
+
           print *,'wx_pbl_dts_check, dphiT, L_v*dphiQ, dRn, dTs ', &
               phiT_w9(j)-phiT_x9(j), L_v(j)*(phiQ_w9(j)-phiQ_x9(j)), dRn(j), dTs9(j)
-!
+
   phiQ0_x(j) = PhiQ0_b9(j) - sigw(j)*dphiQ09(j)
   phiQ0_w(j) = PhiQ0_b9(j) + sigx(j)*dphiQ09(j)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiQ_w-phiQ0_w = -beta*Kech_Q_sw*dqsatdT_w*(Ts_w-Ts0_w)
@@ -1115,5 +1109,5 @@
     print *,'wx_pbl_dts_check: j, phiQ_w9-phiQ0_w, phiQ_w_m_phiQ0_w ', &
                            j, phiQ_w9(j)-phiQ0_w(j), phiQ_w_m_phiQ0_w
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiQ_x-phiQ0_x = -beta*Kech_Q_sx*dqsatdT_x*(Ts_x-Ts0_x)
@@ -1122,5 +1116,5 @@
     print *,'wx_pbl_dts_check: j, phiQ_x9-phiQ0_x, phiQ_x_m_phiQ0_x ', &
                            j, phiQ_x9(j)-phiQ0_x(j), phiQ_x_m_phiQ0_x
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test dphiT-dphiT0 = -(HTphiT_b+(sigx-sigw)*dd_HTphiT)*(dTs-dTs0) - dd_HTphiT*(Ts_b-Ts0_b)
@@ -1130,5 +1124,5 @@
                   - dd_HTphiT(j)*(Ts_b9(j)-Ts0_b9(j))
  print *,'wx_pbl_dts_check: j, dphiT-dphiT09, dphiT_m_dphiT0 ',j, dphiT-dphiT09(j), dphiT_m_dphiT0
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test dphiQ-dphiQ0 = -(HTphiQ_b+(sigx-sigw)*dd_HTphiQ)*(dTs-dTs0) - dd_HTphiQ*(Ts_b-Ts0_b)
@@ -1138,5 +1132,5 @@
                   - dd_HTphiQ(j)*(Ts_b9(j)-Ts0_b9(j))
  print *,'wx_pbl_dts_check: j, dphiQ-dphiQ09, dphiQ_m_dphiQ0 ',j, dphiQ-dphiQ09(j), dphiQ_m_dphiQ0
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test dRn-dRn0 = -(HTRn_b+(sigx-sigw)*dd_HTRn)*(dTs-dTs0) - dd_HTRn*(Ts_b-Ts0_b)
@@ -1145,5 +1139,5 @@
                   - dd_HTRn(j)*(Ts_b9(j)-Ts0_b9(j))
  print *,'wx_pbl_dts_check: j, dRn-dRn09, dRn_m_dRn0 ',j, dRn-dRn09(j), dRn_m_dRn0
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiT_b-phiT0_b = -sigx*sigw*dd_HTphiT*(dTs-dTs0) - HTphiT_b*(Ts_b-Ts0_b)
@@ -1151,5 +1145,5 @@
    phiTb_m_phiT0b = -sigx(j)*sigw(j)*dd_HTphiT(j)*(dTs9(j)-dTs09(j)) - HTphiT_b(j)*(Ts_b9(j)-Ts0_b9(j))
    print *,'wx_pbl_dts_check: j, phiT_b9-phiT0_b9, phiTb_m_phiT0b ',j ,phiT_b9(j)-phiT0_b9(j), phiTb_m_phiT0b
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiT_w, phiT_x, dphiT from HTphiT
@@ -1168,9 +1162,8 @@
     print *,'wx_pbl_dts_check: j, dphiT, dphiT_H ', j, dphiT, dphiT_H
 
-!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !  Test phiq_w, phiq_x, dphiq from HTphiq
 !------------------------------------------
-!
+
 !  phiq_w = beta Kech_q_w ( q1_w - qsat(Ts_w))            phiq_x = beta Kech_q_x ( q1_x - qsat(Ts_x))
   err_phiq_x(j) = beta(j)*Kech_q_x(j)*( q1_x(j) - qsat_x(j)) - phiq_x9(j)
